Bug 105170 - “Ignore diacritics” option just works with combining marks, not precomposed characters
Summary: “Ignore diacritics” option just works with combining marks, not precomposed c...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.1 rc
Hardware: All All
: medium normal
Assignee: Khaled Hosny
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-07 12:17 UTC by Stanislav Horacek
Modified: 2017-01-18 09:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2017-01-07 12:17:58 UTC
For 5.3, the label "Ignore diacritics CTL" in Find & Replace dialog (Edit - Find & Replace - Other options) has been changed to "Ignore diacritics" - see here:
https://github.com/LibreOffice/core/commit/9fb706f9fe216f6157b9052bc42a0601d8ae52d5

The option is confusing now since it suggests that diacritics can be ignored when searching for any language, but it is true only for languages with CTL (complex text layout).

Khaled, would you agree with restoring the previous label? (Or do you have another idea?)
Comment 1 Khaled Hosny 2017-01-07 14:46:23 UTC
It works with combining marks and has nothing specific with complex text layout. It might not work for most European diacritics because they usually use precomposed forms e.g. è (U+00E8 LATIN SMALL LETTER E WITH GRAVE) and not è (U+0065 LATIN SMALL LETTER E, U+0300 COMBINING GRAVE ACCENT).

If the later form is used, then ignoring diacritics will work. However, it is a valid enhancement to make this feature handle precomposed forms as well since they are very common.
Comment 2 Adolfo Jayme 2017-01-10 11:49:13 UTC
Khaled has created an awesome patch to add support for precomposed characters 👍:

https://gerrit.libreoffice.org/32826/

→ ASSIGNED
Comment 3 Commit Notification 2017-01-17 10:54:26 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=278eabab2b5bdc95a51d501fcdb46c216ded3baa

tdf#105170: Ignore diacritics on precomposed chars

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-01-17 19:15:43 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18bc169b4727744f35227532078cbf7c9558bc9a&h=libreoffice-5-3

tdf#105170: Ignore diacritics on precomposed chars

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-01-18 01:18:24 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa2eb4b43fc872c171129d477cfabe9fa29d78ce

Some cleanups, tdf#105170 follow-up

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-01-18 09:02:54 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1836f857f706c277535428a529db82fa6aeb031&h=libreoffice-5-3

Some cleanups, tdf#105170 follow-up

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.